GlueGen: com.jogamp.common.os.AndroidVersion Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Attributes | List of all members
com.jogamp.common.os.AndroidVersion Class Reference
Collaboration diagram for com.jogamp.common.os.AndroidVersion:

## Static Public Attributes

static final boolean | isAvailable
static final String | CPU_ABI
| The name of the instruction set (CPU type + ABI convention) of native code. More...
static final CPUType | CPU_TYPE
static final ABIType | ABI_TYPE
static final String | CPU_ABI2
| The name of the second instruction set (CPU type + ABI convention) of native code. More...
static final CPUType | CPU_TYPE2
static final ABIType | ABI_TYPE2
static final String | CODENAME
| Development codename, or the string "REL" for official release. More...
static final String | INCREMENTAL
| internal build value used by the underlying source control. More...
static final String | RELEASE
| official build version string More...
static final int | SDK_INT
| SDK Version number, key to VERSION_CODES. More...
static final String | SDK_NAME
| SDK Version string. More...

## Detailed Description

Definition at line 37 of file AndroidVersion.java.

## Member Data Documentation

## ◆ ABI_TYPE

final ABIType com.jogamp.common.os.AndroidVersion.ABI_TYPE

static

Definition at line 43 of file AndroidVersion.java.

## ◆ ABI_TYPE2

final ABIType com.jogamp.common.os.AndroidVersion.ABI_TYPE2

static

Definition at line 48 of file AndroidVersion.java.

## ◆ CODENAME

final String com.jogamp.common.os.AndroidVersion.CODENAME

static

Development codename, or the string "REL" for official release.

Definition at line 51 of file AndroidVersion.java.

## ◆ CPU_ABI

final String com.jogamp.common.os.AndroidVersion.CPU_ABI

static

The name of the instruction set (CPU type + ABI convention) of native code.

API-4. All lower case.

Definition at line 41 of file AndroidVersion.java.

## ◆ CPU_ABI2

final String com.jogamp.common.os.AndroidVersion.CPU_ABI2

static

The name of the second instruction set (CPU type + ABI convention) of native code.

API-8. All lower case.

Definition at line 46 of file AndroidVersion.java.

## ◆ CPU_TYPE

final CPUType com.jogamp.common.os.AndroidVersion.CPU_TYPE

static

Definition at line 42 of file AndroidVersion.java.

## ◆ CPU_TYPE2

final CPUType com.jogamp.common.os.AndroidVersion.CPU_TYPE2

static

Definition at line 47 of file AndroidVersion.java.

## ◆ INCREMENTAL

final String com.jogamp.common.os.AndroidVersion.INCREMENTAL

static

internal build value used by the underlying source control.

Definition at line 54 of file AndroidVersion.java.

## ◆ isAvailable

final boolean com.jogamp.common.os.AndroidVersion.isAvailable

static

Definition at line 38 of file AndroidVersion.java.

## ◆ RELEASE

final String com.jogamp.common.os.AndroidVersion.RELEASE

static

official build version string

Definition at line 57 of file AndroidVersion.java.

## ◆ SDK_INT

final int com.jogamp.common.os.AndroidVersion.SDK_INT

static

SDK Version number, key to VERSION_CODES.

Definition at line 60 of file AndroidVersion.java.

## ◆ SDK_NAME

final String com.jogamp.common.os.AndroidVersion.SDK_NAME

static

SDK Version string.

Definition at line 63 of file AndroidVersion.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/os/AndroidVersion.java